import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 940;
const height = 490;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 25;
const eyeOffsetX = 91;
const eyeOffsetY = 105;
const eyeRadius = 41;
const mouthWidth = 15;
const mouthRadius = 120;

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 3}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="bkack"
      	stroke="black"
      	stroke-width="6"
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="black"
      	stroke="black"
      	stroke-width="4"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "red"
        stroke = "red"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "green"
        stroke = "green"
      />
    <ellipse
        rx={eyeRadius/3}
        ry={eyeRadius/3}
        fill = "blue"
        stroke = "green"
      />
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "grey"
        stroke-width = '6'
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "grey"
        stroke-width = '6'
      />
      <line
        x1={-100}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "grey"
        stroke-width = '6'
      />
      <line
        x1={100}
        y1={20}
        x2={30}
        y2={10}
        stroke = "grey"
        stroke-width = '6'
      />
      <line
        x1={100}
        y1={10}
        x2={30}
        y2={10}
        stroke = "grey"
        stroke-width = '6'
        
      />
      <line
        x1={-105}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "grey"
        stroke-width = '6'
      />
      <line
        x1={-200}
        y1={-240}
        x2={-105}
        y2={-203}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-240}
        x2={101}
        y2={-205}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={-190}
        y1={-250}
        x2={-205}
        y2={-105}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
    
  <path d={mouthArc()} fill="black"/>
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);